## Smart IV Curve Diagnosis

Scan PV module IV curve in online manner, automatically locate faulty PV modules through the diagnostic algorithm analysis, and generate diagnostic reports and O&M advice, etc. thereby greatly improving O&M efficiency and power generation.

Click "Smart IV Curve Diagnosis" to enter the corresponding interface, on which you can perform unit level scanning and inverter level scanning.

![](http://base.isolarcloud.com:8181/uploads/202102/0dccd5c751baec42f18e7343dfc9aff4.png)

#### Parameter Setting

This section describes how to set plant or inverter parameters.

##### Prerequisites

The user has the permission of the "Smart IV Curve Diagnosis".

##### Procedure

1.Select the desired plant from the left plant list.

2.Click "Settings" to enter the "IV Intelligent curve analysis" interface. Enter the "Plant parameter setting" interface by default.

3.Perform the following operations if necessary.

- Set plant terrain on the "Parameter Setting" interface. After finishing the parameter setting, click "Confirm" to save the operation.

- Click the tab "Unit parameter setting" or "Inverter Parameter Set". Click "Settings" on the operation bar, to enter the corresponding interface, on which you can set parameters.

 a.Single setting: After finishing parameter setting, click "Confirm".

 b.Batch setting: After finishing parameter setting, click "Confirm and copy". Select the inverters that require the same settings, click "Confirm".

- Click the tab "PV module management", to add, delete, or view PV module information.

  - Query PV module: enter PV module manufacturer, select module type, and enter module model. Click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/32e017f7bb113087b9ea2a03fd5bfd51.png) to view corresponding PV modules.
  
  - Add PV modules: click "Add" to enter the corresponding interface. Fill in corresponding information and click "Confirm".
  
  - View PV module information: click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/d57224db4db2483ae22d95ab561a0d3c.png) in the operation bar to enter the corresponding interface, on which you can view detailed information on the PV modules.
  
  - Modify PV module information: click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/5826ba01d63c37011b8f1b2d90d1f8cf.png) in the operation bar to enter the corresponding interface, on which you can modify the information on the PV modules.
  
  - Delete PV module information: click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/953e634e976b61eee84df27ae7e4d7a9.png) in the operation bar, click "Confirm" on the pop-up window, and click "Confirm" on the prompt window to finish the operation.
  
  - Batch delete: select multiple pieces of PV module information, click "Batch Delete", and click "Confirm" to finish the operation.
  
#### Advanced Settings

##### Prerequisites

The user has the advanced permission of "Smart IV Curve Diagnosis".

##### Procedure

1.Select the desired plant from the left plant list.

2.Click "Advanced Settings", to enter the corresponding interface.

3.Perform the following operations if necessary.

 - Query advanced parameter settings: enter parameter and parameter name, and click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/32e017f7bb113087b9ea2a03fd5bfd51.png), to view the corresponding setting list.
  
- Add advanced parameter settings: click "Add" to enter the corresponding interface. Fill in parameter, parameter name, and parameter value, and click "Save".

- 	Modify advanced parameter settings: click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/5826ba01d63c37011b8f1b2d90d1f8cf.png)  in the operation bar, to enter the add interface, on which you can modify advanced parameter settings. Click "Save" to finish the operation.

- 	Delete advanced parameter settings: Click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/953e634e976b61eee84df27ae7e4d7a9.png) in the operation bar, click "Confirm" on the pop-up window, and click "Confirm" on the prompt window to finish the operation.

#### IV Intelligent Curve

This section describes how to scan IV curve and view the diagnosis analysis.

##### Prerequisites

The user has the permission of the "Smart IV Curve Diagnosis".

##### Unit Scan

1.Select the desired plant from the left plant list.

2.Enter the "Unit Scan" interface by default.

3.Select unit devices and click "Start Diagnosis" in the lower right corner.

4.Enter login password on the pop-up window and click "Confirm".

 The system will judge whether the device parameters have been configured. If not, a "Prompt" window will pop up. Click "Confirm" to jump to the corresponding interface and perform parameter settings.

5.After the instruction is delivered successfully, the unit state is changed to "Scanning" and you can view the scanning progress.

6.After the scanning, click "Diagnosis Report" to view the scanning results.

7.The upper part of the interface displays the examination report and the number of abnormal strings.

Click "New Report", select report type and unit equipment. Click "Confirm" to enter the "Report List" interface. Click the icon ![](http://base.isolarcloud.com:8181/uploads/202102/f36e37417dbd3f60b97a7f190ab661a2.png)  to preview the diagnostic report online. Click the icon  ![](http://base.isolarcloud.com:8181/uploads/202102/daeec7ac8e501e519979ef3c5e3d31aa.png) to download the diagnostic report locally.

Click "Report List" to query, preview online and download reports.

The lower part displays the tab "IV Diagnosis Results", on which string information is displayed. Click "View" to enter the "String diagnosis and analysis" interface, on which detailed string information and curves are displayed.

8.Click "IV curve" to view IV curves of all strings.

##### Inverter Scan

1.Select the desired plant from the left plant list.

2.Enter the "Unit Scan" by default.

3.Click "Inverter Scan" to scan a single inverter or several inverters.

4.Select inverters and click "Start Diagnosis" in the lower right corner.

5.Refer to step 4 to step 8 in unit level scanning.

	Residential PV plant and residential energy storage plant only have inverter level scan.

#### View Task History

You can view the IV scanning records.

##### Procedure

1.Click "View Task History" to enter the corresponding interface.

2.Select time range and task type, enter task name, and click "Search", to view the corresponding history tasks.